Bug 472072 - (perl-Sub-Override) Review Request: perl-Sub-Override - Perl extension for easily overriding subroutines
Review Request: perl-Sub-Override - Perl extension for easily overriding subr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 11:32 EST by Iain Arnell
Modified: 2009-01-28 00:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 01:15:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-11-18 11:32:06 EST
Spec URL: http://iarnell.fedorapeople.org/perl-Sub-Override.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-Sub-Override-0.08-1.fc9.src.rpm
Description: Perl extension for easily overriding subroutines.

This is one of several requirements for perl-Catalyst-Controller-HTML-FormFu.
Comment 1 Chris Weyl 2008-11-18 22:24:01 EST
Test::Pod is missing from the BR (as well as Test::Pod::Coverage, but it's not a blocker).  Please consider running a scratch build through koji; helps catch things like this :-)

https://koji.fedoraproject.org/koji/taskinfo?taskID=938107

Spec looks sane, clean and consistent; license is correct (perl); make test
passes cleanly.

8261e3d77145f0b154641597b7983bd6  Sub-Override-0.08.tar.gz
8261e3d77145f0b154641597b7983bd6  Sub-Override-0.08.tar.gz.srpm

=====> perl-Sub-Override-0.08-1.fc9.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Sub-Override-0.08-1.fc9.noarch.rpm
perl(Sub::Override) = 0.08
perl-Sub-Override = 0.08-1.fc9
====> requires for perl-Sub-Override-0.08-1.fc9.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(strict)  
perl(warnings)

Add the br on Test::Pod and I'll approve.
Comment 2 Iain Arnell 2008-11-19 00:01:24 EST
New SRPM URL: http://iarnell.fedorapeople.org/perl-Sub-Override-0.08-2.fc9.src.rpm

Test::Pod and Test::Pod::Coverage included now.
Comment 3 Chris Weyl 2008-11-19 01:59:35 EST
APPROVED
Comment 4 Iain Arnell 2008-11-19 02:03:33 EST
New Package CVS Request
=======================
Package Name: perl-Sub-Override
Short Description: Perl extension for easily overriding subroutines
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2008-11-22 22:50:26 EST
cvs done.
Comment 6 Fedora Update System 2008-11-23 02:15:13 EST
perl-Sub-Override-0.08-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Sub-Override-0.08-2.fc10
Comment 7 Fedora Update System 2008-11-23 02:15:17 EST
perl-Sub-Override-0.08-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Sub-Override-0.08-2.fc9
Comment 8 Fedora Update System 2008-11-26 01:15:34 EST
perl-Sub-Override-0.08-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-11-26 01:23:29 EST
perl-Sub-Override-0.08-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Iain Arnell 2009-01-28 00:20:56 EST
Package Change Request
======================
Package Name: perl-Sub-Override
New Branches: EL-5
Owners: iarnell iburrell
InitialCC: perl-sig
Comment 11 Kevin Fenzi 2009-01-28 00:48:52 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.